'use strict';
// 配置静态资源路径
const statics = require('./static.js');
const route = ['','favicon.ico','assets','static','index','index.htm','index.html'];
module.exports = async (req,res,path) => {
    const {originalUrl} = req;
    //限制访问地址
    let urls = originalUrl.split("?");
    const url = urls[0].split("/");
    if(url[1]==''||url[1]=='index'||url[1]=='index.htm'){
        urls[0] = '/index.html';
    }
    if(route.indexOf(url[1])>-1){
        // 静态资源
        statics(path+urls[0].replaceAll('/','\\'),res);
    }else{
        // api路径
        res.json({
            code:0,
            msg:'404'
        })
    }
};