const server = require('./server');
const arg = require('../plug-in/arg');
//不存在域名时，则需要通过ip白名单的url
module.exports = async (req,res,conf) => {
    const obj = arg(req);
    const {host} = obj.headers;
    let rest = { code: 0, msg: 'An unknown error' };
    if (conf.ip) {
        if(conf.ip==host.split(':')[0]){
            // 验证集群地址
            rest = await server(obj,conf);
        }else{
            if(obj.data.ip&&obj.url=='/edit'){
                // 编辑集群地址
                rest = await server(obj,conf);
            }else{
                rest.msg='The cluster address does not exist!';
            }
        }
    }else{
        if(obj.url=='/add'){
            // 排除add路径
            rest = await server(obj,conf);
        }
    }
    res.json(rest);
}